Subject: RE: PROPOSAL: Minimum Authentication and transport level encrypti on for CAP

From: [email-masked]
Date: Wed, 12 May 1999 16:49:31 -0400

Paul,

Who could inform us about the "Acceptably secure"
for the IESG ?

There is a sentiment that we should keep the transport
layer encryption as simple as possible, yet satisfying
the IESG security requirement.

Andre Courtemanche
CS&T

-----Original Message-----
From: Paul Leach [mailto:[email-masked]]
Sent: Wednesday, May 12, 1999 4:26 PM
To: [email-masked]'; [email-masked]
Cc: [email-masked]
Subject: RE: PROPOSAL: Minimum Authentication and transport level
encrypti on f or CAP

Actually, 56 bits is exportable (or soon will be) under new rules. Under the
old rules, it was 40 bits. (So, 48 bits is neither fish nor fowl).

I don't believe that the IESG will let you make 56 bits be the MTI. I think
they insist that the MTI be secure, and I don't think they believe that 56
bits is anymore. But that's just politics -- DIGEST-MD5 specs both 56 bit
DES and triple-DES (and flavors of RC4, which is what SSL uses), and
triple-DES can be the MTI that satisifies the IESG and single DES be what
the US governemt lets you export.

As to use of DIGEST-MD5: in addition to be relatively easy to implement, the
implementation seems likely to be sharable with lots of protocols, as many
other ones are also or will soon be specifying DIGEST-MD5 -- e.g. LDAP. And
Chris may know the status of other ones.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, May 12, 1999 1:00 PM
> To: [email-masked]
> Cc: [email-masked]; Paul Leach
> Subject: PROPOSAL: Minimum Authentication and transport level 
> encryption
> f or CAP
> 
> 
> 
> One very important decision this group has to decide
> is the MUST implement for secure authentication 
> and transport-level encryption.
> 
> I'd like to propose that, within the SASL framework
> the "Must" authenticate be DIGEST-MD5 [1]
> and the the "Must" transport level encryption be 
> a US-Exportable DES. I think that 48 bit simple
> DES is exportable.
> 
> * Reasons to support the proposal for DIGEST-MD5:
> 1-Well known and well documented
> 2-Reasonably secure
> 3-Fits well in the CAP with the SASL framework
> 4-Easy to implement. 
> 
> * Reasons to support 48bit key simple DES encryption:
> 1-Well known and well documented
> 2-Reasonably secure, yet exportable. (Some may debate that
> if it is US-exportable, it is not secure )
> 3-Easy to implement.
> 
> Any thoughts ?
> 
> [1] draft-leach-digest-sasl-03.txt, Chris Newman, Paul Leach.
> 
> Andre Courtemanche
> CS&T
>